Subject: Re: GSoC 2008 - Mentors Wanted!

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 5 Mar 2008 23:58:35 -0500

Noel Grandin <[email-masked]> wrote:
> Imran M Yousuf wrote:
> > To start with I was actually thinking of JNI + "exec from C". So later
> > when libification is completed we can replace the execs with call to
> > the libs directly instead. Is this a viable fourth option (sorry I
> > forgot to mention it the first time around)?
> 
> This is probably a good idea. JGIT is always going to be 2 steps behind
> the native GIT code when comes to accessing on-disk structures.

I'm not sure that is really going to be a major issue.

Thus far the Git on disk structure has been very stable over time.
We are 3 years old and yet have had very few file format changes,
and we are basically still backwards compatible.

The only new major on disk structure that JGit didn't support was
pack index v2, which I just taught JGit to parse tonight.  So yea,
we are a few months behind the bleeding edge on disk format, but
we are caught up again.
 
-- 
Shawn.